Bug 986645 - [abrt] darktable-1.2.1-1.fc19: dt_imageio_open_png: Process /usr/bin/darktable was killed by signal 6 (SIGABRT)
[abrt] darktable-1.2.1-1.fc19: dt_imageio_open_png: Process /usr/bin/darktabl...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
abrt_hash:23bf1c6d24fb8aa49a9ee75c46a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 04:41 EDT by Sebastian Krieg
Modified: 2017-01-08 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:01:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.37 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: core_backtrace (2.20 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: dso_list (24.90 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: environ (1.75 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: maps (117.43 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: open_fds (1.93 KB, text/plain)
2013-07-21 04:41 EDT, Sebastian Krieg
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2013-07-21 04:42 EDT, Sebastian Krieg
no flags Details
File: var_log_messages (243 bytes, text/plain)
2013-07-21 04:42 EDT, Sebastian Krieg
no flags Details
File: xsession_errors (54.19 KB, text/plain)
2013-07-21 04:42 EDT, Sebastian Krieg
no flags Details

  None (edit)
Description Sebastian Krieg 2013-07-21 04:41:33 EDT
Description of problem:
Crash during browse imported pictures

Version-Release number of selected component:
darktable-1.2.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/darktable
crash_function: dt_imageio_open_png
executable:     /usr/bin/darktable
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 dt_imageio_open_png at /usr/src/debug/darktable-1.2.1/src/common/imageio_png.c:216
 #6 dt_imageio_open_ldr at /usr/src/debug/darktable-1.2.1/src/common/imageio.c:450
 #7 dt_imageio_open at /usr/src/debug/darktable-1.2.1/src/common/imageio.c:807
 #8 dt_mipmap_cache_read_get at /usr/src/debug/darktable-1.2.1/src/common/mipmap_cache.c:876
 #9 dt_imageio_export_with_flags at /usr/src/debug/darktable-1.2.1/src/common/imageio.c:534
 #10 _init_8 at /usr/src/debug/darktable-1.2.1/src/common/mipmap_cache.c:1293
 #11 dt_mipmap_cache_read_get at /usr/src/debug/darktable-1.2.1/src/common/mipmap_cache.c:932
 #12 dt_image_load_job_run at /usr/src/debug/darktable-1.2.1/src/control/jobs/image_jobs.c:38
 #13 dt_control_run_job at /usr/src/debug/darktable-1.2.1/src/control/control.c:1025
 #14 dt_control_work at /usr/src/debug/darktable-1.2.1/src/control/control.c:1223
Comment 1 Sebastian Krieg 2013-07-21 04:41:37 EDT
Created attachment 776392 [details]
File: backtrace
Comment 2 Sebastian Krieg 2013-07-21 04:41:39 EDT
Created attachment 776393 [details]
File: cgroup
Comment 3 Sebastian Krieg 2013-07-21 04:41:42 EDT
Created attachment 776394 [details]
File: core_backtrace
Comment 4 Sebastian Krieg 2013-07-21 04:41:45 EDT
Created attachment 776395 [details]
File: dso_list
Comment 5 Sebastian Krieg 2013-07-21 04:41:48 EDT
Created attachment 776396 [details]
File: environ
Comment 6 Sebastian Krieg 2013-07-21 04:41:51 EDT
Created attachment 776397 [details]
File: limits
Comment 7 Sebastian Krieg 2013-07-21 04:41:54 EDT
Created attachment 776398 [details]
File: maps
Comment 8 Sebastian Krieg 2013-07-21 04:41:57 EDT
Created attachment 776399 [details]
File: open_fds
Comment 9 Sebastian Krieg 2013-07-21 04:42:00 EDT
Created attachment 776400 [details]
File: proc_pid_status
Comment 10 Sebastian Krieg 2013-07-21 04:42:02 EDT
Created attachment 776401 [details]
File: var_log_messages
Comment 11 Sebastian Krieg 2013-07-21 04:42:05 EDT
Created attachment 776402 [details]
File: xsession_errors
Comment 12 Edouard Bourguignon 2014-01-15 02:48:39 EST
Is it still the case with darktable 1.4 (in updates-testing)?
Comment 13 Sebastian Krieg 2014-08-24 11:36:58 EDT
Hello, no I don't test it in darktable 1.4. Let me test it with this version and I will answer about my results.
Comment 14 Fedora End Of Life 2015-01-09 14:01:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Edouard Bourguignon 2015-02-01 09:24:32 EST
Sebastian, Is the bug still here with Darktable 1.6?
Comment 16 Fedora End Of Life 2015-02-18 09:01:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.